%define upstream_name    Clone
%define upstream_version 0.38

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Recursively copy Perl datatypes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/R/RD/RDF/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel

%{?perl_default_filter}

%description
This module provides a clone() method which makes recursive
copies of nested hash, array, scalar and reference types, 
including tied variables and objects.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorarch}/Clone.pm
%{perl_vendorarch}/auto/Clone
%{_mandir}/*/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.380.0-5.mga6
+ Revision: 1024260
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.380.0-4.mga6
+ Revision: 956860
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.380.0-3.mga6
+ Revision: 844751
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.380.0-2.mga6
+ Revision: 840464
- Rebuild for perl 5.22

* Sun Jun 21 2015 sander85 <sander85> 0.380.0-1.mga6
+ Revision: 837076
- update to 0.38

* Sat Oct 18 2014 umeabot <umeabot> 0.370.0-6.mga5
+ Revision: 787856
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.370.0-5.mga5
+ Revision: 748568
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.370.0-4.mga5
+ Revision: 732939
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.370.0-3.mga5
+ Revision: 683953
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.370.0-2.mga5
+ Revision: 630871
- Rebuild for perl 5.20

* Tue May 20 2014 jquelin <jquelin> 0.370.0-1.mga5
+ Revision: 624174
- update to 0.37

* Sat Feb 08 2014 sander85 <sander85> 0.360.0-1.mga5
+ Revision: 586374
- update to 0.36

* Sat Oct 19 2013 umeabot <umeabot> 0.350.0-2.mga4
+ Revision: 534065
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 0.350.0-1.mga4
+ Revision: 476187
- update to 0.35

* Wed May 29 2013 jquelin <jquelin> 0.340.0-4.mga4
+ Revision: 430562
- perl 5.18.0 rebuild

* Wed May 29 2013 tv <tv> 0.340.0-3.mga4
+ Revision: 430060
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.340.0-2.mga3
+ Revision: 364530
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.340.0-1.mga3
+ Revision: 341954
- update to 0.34

* Wed May 30 2012 jquelin <jquelin> 0.310.0-7.mga3
+ Revision: 250325
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.310.0-6.mga2
+ Revision: 103667
- perl 5.14

* Tue Jan 18 2011 jquelin <jquelin> 0.310.0-5.mga1
+ Revision: 22663
- rebuild with perl 5.12

* Sun Jan 09 2011 jquelin <jquelin> 0.310.0-4.mga1
+ Revision: 2134
- imported package perl-Clone

